Bug 1481036 - Requesting new repo errors with meaningless error message
Requesting new repo errors with meaningless error message
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: fedrepo-req (Show other bugs)
26
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matt Prahl
Fedora Extras Quality Assurance
https://pagure.io/fedrepo_req/issue/61
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-13 14:47 EDT by Tom Hughes
Modified: 2017-09-07 19:19 EDT (History)
3 users (show)

See Also:
Fixed In Version: fedrepo-req-1.3.0-1.fc26 fedrepo-req-1.4.0-1.fc26 fedrepo-req-1.6.0-2.el7 fedrepo-req-1.6.0-2.fc26 fedrepo-req-1.6.0-3.fc25
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-09-07 19:19:30 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom Hughes 2017-08-13 14:47:59 EDT
Description of problem:

Attempting to request a new repository with fedrepo-req errors with an error message that leaves me with no clue what I need to do:

Error: The "pagure_api_token" setting is not set in the "app" section

The "app" section of what exactly? What should I set it to?

Version-Release number of selected component (if applicable):

fedrepo-req-1.0.0-1.fc26.noarch

How reproducible:

Every time.

Steps to Reproduce:

fedrepo-req nodejs-chroma-js -t 1480716

Actual results:

Error: The "pagure_api_token" setting is not set in the "app" section

Expected results:

Repository is requested or a meaningful error message is issued.
Comment 1 Raphael Groner 2017-08-13 16:21:06 EDT
https://pagure.io/fedrepo_req/blob/master/f/README.md
see Configuration chapter
Comment 2 Matt Prahl 2017-08-13 17:03:34 EDT
I am making a code change so that the user is told to read the README when their configuration isn't properly set:
https://pagure.io/fedrepo_req/pull-request/60
Comment 3 Tom Hughes 2017-08-13 17:45:23 EDT
Thanks. I had already tried "man fedrepo-req" which doesn't exist (a soft review failure) and "fedrepo-req --help" which doesn't mention anything...
Comment 4 Tom Hughes 2017-08-13 17:55:08 EDT
Streamlining the creation of the configuration would be good as well - it's not exactly user friendly at the moment.

At the least I would suggest a mode that can handle creating the ~/.config/fedrepo_req directory and then the config file and filling in a token supplied by the user.

That could then be done automatically if necessary, prompting the user to create a token if there isn't one and then saving it in the configuration.
Comment 5 Raphael Groner 2017-08-14 01:32:33 EDT
Works for me:
[builder@builder26]~% fedrepo-req --help
Usage: fedrepo-req [OPTIONS] REPO [BRANCH]

  Request new repositories on src.fedoraproject.org.

  Examples:

      fedrepo-req nethack -t 12345

      fedrepo-req nethack epel7 -t 12345

      fedrepo-req nethack lts -t 12345 --sl security_fixes:2022-01-01
      --sl bug_fixes:2022-01-01

Options:
  -d, --description TEXT          The package's description.
  -m, --monitor [no-monitoring|monitoring|monitoring-with-scratch]
                                  Monitoring type for the package.
  -n, --namespace [rpms|container|modules|test-modules]
                                  The repo's namespace.
  -s, --summary TEXT              Override the package's summary from the
                                  ticket.
  -t, --ticket TEXT               The package request's ticket number.
  -u, --upstreamurl TEXT          The package's upstream URL.
  --sl TEXT                       The SLs tied to the branch. This must be in
                                  the format of "sl_name:2017-12-25"
  --help                          Show this message and exit.
Comment 6 Fedora Update System 2017-08-15 16:58:05 EDT
fedrepo-req-1.3.0-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-2bf593c298
Comment 7 Fedora Update System 2017-08-17 10:20:43 EDT
fedrepo-req-1.4.0-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-868a70ab41
Comment 8 Fedora Update System 2017-08-17 20:26:47 EDT
fedrepo-req-1.3.0-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2017-08-18 16:22:12 EDT
fedrepo-req-1.3.0-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-2bf593c298
Comment 10 Fedora Update System 2017-08-18 16:23:07 EDT
fedrepo-req-1.4.0-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-868a70ab41
Comment 11 Fedora Update System 2017-08-18 17:53:16 EDT
fedrepo-req-1.3.0-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-221e2e5c0f
Comment 12 Fedora Update System 2017-08-18 17:54:29 EDT
fedrepo-req-1.4.0-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-b7a0f64ef7
Comment 13 Fedora Update System 2017-08-19 13:51:20 EDT
fedrepo-req-1.4.0-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2017-08-22 11:22:35 EDT
fedrepo-req-1.5.0-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-179e05be92
Comment 15 Fedora Update System 2017-08-23 02:33:41 EDT
fedrepo-req-1.5.0-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-179e05be92
Comment 16 Fedora Update System 2017-08-23 04:55:45 EDT
fedrepo-req-1.5.0-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-5a10270a78
Comment 17 Fedora Update System 2017-08-26 11:02:12 EDT
fedrepo-req-1.6.0-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-12dcc66bfd
Comment 18 Fedora Update System 2017-08-26 11:02:32 EDT
fedrepo-req-1.6.0-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-c7f66e50ba
Comment 19 Fedora Update System 2017-08-26 11:02:50 EDT
fedrepo-req-1.6.0-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-33c2c6e985
Comment 20 Fedora Update System 2017-08-26 18:37:18 EDT
fedrepo-req-1.6.0-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-33c2c6e985
Comment 21 Fedora Update System 2017-08-26 18:38:15 EDT
fedrepo-req-1.6.0-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-12dcc66bfd
Comment 22 Fedora Update System 2017-08-27 02:49:44 EDT
fedrepo-req-1.6.0-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-c7f66e50ba
Comment 23 Fedora Update System 2017-08-28 12:20:10 EDT
fedrepo-req-1.6.0-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.
Comment 24 Fedora Update System 2017-08-28 12:20:19 EDT
fedrepo-req-1.6.0-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.
Comment 25 Fedora Update System 2017-09-01 08:53:00 EDT
fedrepo-req-1.6.0-3.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-a4a6724cd1
Comment 26 Fedora Update System 2017-09-07 19:19:30 EDT
fedrepo-req-1.6.0-3.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.